Index: WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISC.m
===================================================================
--- WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISC.m	(revision 613)
+++ WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISC.m	(revision 623)
@@ -1,130 +1,131 @@
-%ZISC	;SFISC/GFT,AC,MUS - CLOSE LOGIC FOR DEVICES  ;1/24/08  16:09
-	;;8.0;KERNEL;**24,36,49,69,199,216,275,409,440**;JUL 10, 1995;Build 13
-	;Per VHA Directive 2004-038, this routine should not be modified
-C0	;
-	N %,%E,%H,%ZISI,%ZISOS,%ZISX,%ZISV
-	;Clear IO var we will use for reporting
-	K IO("ERROR"),IO("LASTERR"),IO("CLOSE")
-	;Protect ourself from calls with incomplete setup.
-	S:$D(IO)[0 IO=$I S:'$D(IO(0)) IO(0)=$P
-	S U="^",%ZISOS=$G(^%ZOSF("OS")),%ZISV=$G(^("VOL"))
-	;S %=$S(+$G(IOS):IOS,$L($G(ION)):ION,1:IO)
-	S %=$S($L($G(ION)):ION,1:IO) ;p409
-	I (%="")!(IO="") G SETIO:IO(0)]"",END
-	I $G(IOT)="RES" D RES G SETIO ;Handle a resource device
-	;
-	;Define subtype info if not already defined.
-	D SUBTYPE
-	;
-	;perform close execute
-	I $G(IOST(0))>0 D
-	. I $G(^%ZIS(2,+IOST(0),3))]"",$D(IO(1,IO)) D
-	. . U IO S:$X $X=1 D X3^ZISX:'$D(IO("T"))
-	;
-	;Incase the Close execute changed IO, Open IO("HOME") or NULL.
-	I '$L($G(IO)) D  Q
-	. S IOP=$S($L($G(IO("HOME"))):"`"_(+IO("HOME")),1:"NULL") D ^%ZIS
-	. Q
-	;
-	;Perform the following if the device is open.
-	I $D(IO(1,IO)) D
-	. I $G(IO("P"))["B" D  ;Return to normal intensity
-	. . S %=$P($G(^%ZIS(2,+IOST(0),7)),"^",3) I %]"" W @%
-	. I $G(IO("P"))["P" D  ;Return to default pitch
-	. . S %=$G(^%ZIS(2,+IOST(0),12.11)) I %]"" W @%
-	. ;
-	. W:$$FF @IOF ;Issue form feed at close
-	. I $$CLOSPP D X11^ZISX:'$D(IO("T")) K IO("S") ;Close printer port
-	. Q
-	;
-	;Don't use IOCPU as we now use IO(1,IO)
-	I (IO'=IO(0)!$D(IO("C"))),$D(IO(1,IO)) D
-	. U:$S($D(ZTQUEUED):0,'$L($G(IO(0))):0,$D(IO(1,IO(0)))#2:1,1:0) IO(0)
-	. C IO K IO(1,IO) S IO("CLOSE")=IO ;close device
-	;Unlock global used to control access.
-	S %=$G(^XUTL("XQ",$J,"lock",+$G(IOS))) I $L(%) L -@% K ^XUTL("XQ",$J,"lock",IOS)
-	;
-	I $D(IO("SPOOL")) D CLOSE^%ZIS4 ;Special close for spool device
-	;
-SETIO	;
-	;See if old device has PCX code
-	I $G(IOS),$G(^%ZIS(1,+IOS,"PCX"))]"" S %ZISPCX=^("PCX")
-	;Setup the IO(0) device, should be the home device
-	S IO=IO(0),(IOPAR,IOUPAR)="" K IO("T") D CIOS(IO(0))
-	I 'IOS S IOT="TRM" G END
-	S ION=$P(^%ZIS(1,IOS,0),"^",1),IOT=$G(^("TYPE")),IOST(0)=$S(IOT["TRM"&($D(^XUTL("XQ",$J,"IOST(0)"))):^("IOST(0)"),1:$G(^%ZIS(1,IOS,"SUBTYPE")))
-	I IOT["TRM",$D(^XUTL("XQ",$J,"IO")) D HOME^%ZIS G END
-	S %="Y"
-	I IOST(0),$D(^%ZIS(2,IOST(0),1)) S %=^(1),IOM=+%,IOF=$P(%,"^",2),IOSL=$P(%,"^",3),IOBS=$P(%,"^",4)
-	I $D(^%ZIS(1,IOS,91)) S %=^%ZIS(1,IOS,91) S:+% IOM=+% S:$P(%,"^",3) IOSL=$P(%,"^",3)
-	;Don't know the subtype so set some defaults
-	I %="Y" S IOM=80,IOSL=24,IOF="#",IOST="C-OTHER",IOBS="$C(8)"
-S1	S:IOST(0) IOST=$P($G(^%ZIS(2,+IOST(0),0)),"^"),IOXY=$G(^("XY"))
-	I '$D(ZTQUEUED),'$D(IO("C")),IOT["TRM" D RM:$D(IO(1,IO))
-	;With home device set, Do Post-close execute code of Device closed.
-END	I '$D(IO("T")),$G(%ZISPCX)]"" S %Y=%ZISPCX D %Y^ZISX
-	;See that any extra IO variables are cleaned up
-	K IO("P"),IO("DOC"),IO("HFSIO"),IO("SPOOL"),IOC,IONOFF
-	;IOCPU should not be changed.
-	Q
-	;
-SUBTYPE	;Find a subtype
-	N %S
-	S IOST=$G(IOST),IOST(0)=+$G(IOST(0))
-	I $L(IOST)&$L(IOST(0)) Q  ;Have a subtype
-	S %S=$G(^%ZIS(2,+IOST(0),0)) I $L(%S) S IOST=$P(%S,U) Q
-	I $L(IOST) S %S=$O(^%ZIS(2,"B",$G(IOST,"X"),0)) I %S>0 S IOST(0)=+%S Q
-	S IOST="",IOST(0)=0 D CIOS($I) Q:IOS'>0
-	S IOST(0)=$G(^%ZIS(1,+IOS,"SUBTYPE")),IOST=$P($G(^%ZIS(2,+IOST(0),0)),"^")
-	Q
-	;
-CIOS(%I)	;Find a value for IOS (IEN into device file)
-	N %ZISVT
-	I $D(^XUTL("XQ",$J,"IOS")) S IOS=+^("IOS") Q
-	I $D(%ZISV) S %ZISVT=%I D VTLKUP^%ZIS S IOS=+%E
-	E  S IOS=+$O(^%ZIS(1,"C",%I,0))
-	Q:$G(IOS)>0
-	S %ZISVT=%I D VIRTUAL^%ZIS
-	I $D(%ZISVT) S %H=%E I %ZISVT]"",%H>0,$D(^%ZIS(1,%H,0)),$D(^("TYPE")),^("TYPE")="VTRM" S IOS=%H
-	Q
-	;
-RM	N X S X=+IOM X ^%ZOSF("RM")
-	Q
-	;
-RES	;Close resource device.
-	Q:'$D(IO(1,IO))&'$D(^%ZISL(3.54,"AJ",$J))
-	N %ZISJOB,%X,%Y,%ZISD0,%ZISD1,%ZISRES,%ZISRL,%ZISY0,%ZTRTN,ZTSAVE,ZTIO
-	S %ZISJOB=$J
-	;
-RES1	G RQ:'$D(IOS),RQ:'$D(^%ZIS(1,+IOS,1)) S %ZISRL=+$P(^(1),"^",10),%ZISRL=$S(%ZISRL:%ZISRL,1:1)
-	S %X=$O(^%ZISL(3.54,"B",IO,0)) G RQ:'%X
-	G RQ:'$D(^%ZISL(3.54,+%X,0)) S %ZISD0=+%X,%ZISY0=^(0)
-	S %X=$O(^%ZISL(3.54,"AJ",%ZISJOB,%ZISD0,0)) S %ZISD1=%X G RQ:'%X
-	S %Y=$G(^%ZISL(3.54,%ZISD0,1,+%ZISD1,0)) G RQ:$P(%Y,"^",3)'=%ZISJOB
-	D KILLRES(+%ZISD0,+%ZISD1)
-RQ	K IO(1,IO)
-	Q
-	;
-KILLRES(D0,D1)	;Kill one resource use
-	Q:(D0'>0)!(D1'>0)
-	N %X,%Y,%J,%ZISRL
-	L +^%ZISL(3.54,D0,0)
-	S %Y=$G(^%ZISL(3.54,D0,0)) G KRX:%Y=""
-	S %X=$G(^%ZISL(3.54,D0,1,D1,0)),%J=$P(%X,"^",3) S:%J="" %J=" "
-	K ^%ZISL(3.54,D0,1,D1,0),^%ZISL(3.54,D0,1,"B",D1,D1),^%ZISL(3.54,"AJ",%J,D0,D1)
-	S %X=$P(%Y,"^",2)+1,$P(^%ZISL(3.54,D0,0),"^",2)=%X
-	;I '$D(^%ZISL(3.54,%ZISD0,1,0)) S ^(0)="^3.542A^^" G RQ
-	S %Y=$G(^%ZISL(3.54,D0,1,0)),%X=$P(%Y,"^",4),$P(^%ZISL(3.54,D0,1,0),"^",3,4)="^"_$S(%X>0:(%X-1),1:0)
-KRX	L -^%ZISL(3.54,D0,0)
-	Q
-	;
-DQCRES	;Tasked entry point to close resource device.
-	S IO=%ZISRES G RES1
-	;
-FF()	;Issue form feed
-	I $E(IOST,1,2)'["C-",$D(IO(1,IO)),$G(IOT)="TRM"!($G(IOT)="SPL"),'$D(IO("T"))&$Y&'$D(IONOFF)&'$D(IO(1,IO,"NOFF")) Q 1
-	Q 0
-	;
-CLOSPP()	;Close printer port
-	I $D(IO("S")),$D(^%ZIS(2,+IO("S"),11))&$D(IO(1,IO)) Q 1
-	Q 0
+%ZISC ;SFISC/GFT,AC,MUS - CLOSE LOGIC FOR DEVICES  ;01/14/2002  09:06
+ ;;8.0;KERNEL;**24,36,49,69,199,216,275,409**;JUL 10, 1995;Build 3
+C0 ;
+ N %,%E,%H,%ZISI,%ZISOS,%ZISX,%ZISV
+ ;Clear IO var we will use for reporting
+ K IO("ERROR"),IO("LASTERR"),IO("CLOSE")
+ ;Protect ourself from calls with incomplete setup.
+ S:$D(IO)[0 IO=$I S:'$D(IO(0)) IO(0)=$P
+ S U="^",%ZISOS=$G(^%ZOSF("OS")),%ZISV=$G(^("VOL"))
+ ;S %=$S(+$G(IOS):IOS,$L($G(ION)):ION,1:IO)
+ S %=$S($L($G(ION)):ION,1:IO) ;p409
+ I (%="")!(IO="") G SETIO:IO(0)]"",END
+ I $G(IOT)="RES" D RES G SETIO ;Handle a resource device
+ ;
+ ;Define subtype info if not already defined.
+ D SUBTYPE
+ ;
+ ;perform close execute
+ I $G(IOST(0))>0 D
+ . I $G(^%ZIS(2,+IOST(0),3))]"",$D(IO(1,IO)) D
+ . . U IO S:$X $X=1 D X3^ZISX:'$D(IO("T"))
+ ;
+ ;Incase the Close execute changed IO, Open IO("HOME") or NULL.
+ I '$L($G(IO)) D  Q
+ . S IOP=$S($L($G(IO("HOME"))):"`"_(+IO("HOME")),1:"NULL") D ^%ZIS
+ . Q
+ ;
+ ;Perform the following if the device is open.
+ I $D(IO(1,IO)) D
+ . I $G(IO("P"))["B" D  ;Return to normal intensity
+ . . S %=$P($G(^%ZIS(2,+IOST(0),7)),"^",3) I %]"" W @%
+ . I $G(IO("P"))["P" D  ;Return to default pitch
+ . . S %=$G(^%ZIS(2,+IOST(0),12.11)) I %]"" W @%
+ . ;
+ . W:$$FF @IOF ;Issue form feed at close
+ . I $$CLOSPP D X11^ZISX:'$D(IO("T")) K IO("S") ;Close printer port
+ . Q
+ ;
+ ;Don't use IOCPU as we now use IO(1,IO)
+ I (IO'=IO(0)!$D(IO("C"))),$D(IO(1,IO)) D
+ . U:$S($D(ZTQUEUED):0,'$L($G(IO(0))):0,$D(IO(1,IO(0)))#2:1,1:0) IO(0)
+ . C IO K IO(1,IO) S IO("CLOSE")=IO ;close device
+ ;
+ ;
+ I $D(IOT),IOT="CHAN",$D(IOS) D
+ .S %=$G(^%ZIS(1,+IOS,"GBL"))
+ .I %]"" L @("-^"_%) ;unlock global used to control access to network channels.
+ I $D(IO("SPOOL")) D CLOSE^%ZIS4 ;Special close for spool device
+ ;
+SETIO ;
+ ;See if old device has PCX code
+ I $G(IOS),$G(^%ZIS(1,+IOS,"PCX"))]"" S %ZISPCX=^("PCX")
+ ;Setup the IO(0) device, should be the home device
+ S IO=IO(0),(IOPAR,IOUPAR)="" K IO("T") D CIOS(IO(0))
+ I 'IOS S IOT="TRM" G END
+ S ION=$P(^%ZIS(1,IOS,0),"^",1),IOT=$G(^("TYPE")),IOST(0)=$S(IOT["TRM"&($D(^XUTL("XQ",$J,"IOST(0)"))):^("IOST(0)"),1:$G(^%ZIS(1,IOS,"SUBTYPE")))
+ I IOT["TRM",$D(^XUTL("XQ",$J,"IO")) D HOME^%ZIS G END
+ S %="Y"
+ I IOST(0),$D(^%ZIS(2,IOST(0),1)) S %=^(1),IOM=+%,IOF=$P(%,"^",2),IOSL=$P(%,"^",3),IOBS=$P(%,"^",4)
+ I $D(^%ZIS(1,IOS,91)) S %=^%ZIS(1,IOS,91) S:+% IOM=+% S:$P(%,"^",3) IOSL=$P(%,"^",3)
+ ;Don't know the subtype so set some defaults
+ I %="Y" S IOM=80,IOSL=24,IOF="#",IOST="C-OTHER",IOBS="$C(8)"
+S1 S:IOST(0) IOST=$P($G(^%ZIS(2,+IOST(0),0)),"^"),IOXY=$G(^("XY"))
+ I '$D(ZTQUEUED),'$D(IO("C")),IOT["TRM" D RM:$D(IO(1,IO))
+ ;With home device set, Do Post-close execute code of Device closed.
+END I '$D(IO("T")),$G(%ZISPCX)]"" S %Y=%ZISPCX D %Y^ZISX
+ ;See that any extra IO variables are cleaned up
+ K IO("P"),IO("DOC"),IO("HFSIO"),IO("SPOOL"),IOC,IONOFF
+ ;IOCPU should not be changed.
+ Q
+ ;
+SUBTYPE ;Find a subtype
+ N %S
+ S IOST=$G(IOST),IOST(0)=+$G(IOST(0))
+ I $L(IOST)&$L(IOST(0)) Q  ;Have a subtype
+ S %S=$G(^%ZIS(2,+IOST(0),0)) I $L(%S) S IOST=$P(%S,U) Q
+ I $L(IOST) S %S=$O(^%ZIS(2,"B",$G(IOST,"X"),0)) I %S>0 S IOST(0)=+%S Q
+ S IOST="",IOST(0)=0 D CIOS($I) Q:IOS'>0
+ S IOST(0)=$G(^%ZIS(1,+IOS,"SUBTYPE")),IOST=$P($G(^%ZIS(2,+IOST(0),0)),"^")
+ Q
+ ;
+CIOS(%I) ;Find a value for IOS (IEN into device file)
+ N %ZISVT
+ I $D(^XUTL("XQ",$J,"IOS")) S IOS=+^("IOS") Q
+ I $D(%ZISV) S %ZISVT=%I D VTLKUP^%ZIS S IOS=+%E
+ E  S IOS=+$O(^%ZIS(1,"C",%I,0))
+ Q:$G(IOS)>0
+ S %ZISVT=%I D VIRTUAL^%ZIS
+ I $D(%ZISVT) S %H=%E I %ZISVT]"",%H>0,$D(^%ZIS(1,%H,0)),$D(^("TYPE")),^("TYPE")="VTRM" S IOS=%H
+ Q
+ ;
+RM N X S X=+IOM X ^%ZOSF("RM")
+ Q
+ ;
+RES ;Close resource device.
+ Q:'$D(IO(1,IO))&'$D(^%ZISL(3.54,"AJ",$J))
+ N %ZISJOB,%X,%Y,%ZISD0,%ZISD1,%ZISRES,%ZISRL,%ZISY0,%ZTRTN,ZTSAVE,ZTIO
+ S %ZISJOB=$J
+ ;
+RES1 G RQ:'$D(IOS),RQ:'$D(^%ZIS(1,+IOS,1)) S %ZISRL=+$P(^(1),"^",10),%ZISRL=$S(%ZISRL:%ZISRL,1:1)
+ S %X=$O(^%ZISL(3.54,"B",IO,0)) G RQ:'%X
+ G RQ:'$D(^%ZISL(3.54,+%X,0)) S %ZISD0=+%X,%ZISY0=^(0)
+ S %X=$O(^%ZISL(3.54,"AJ",%ZISJOB,%ZISD0,0)) S %ZISD1=%X G RQ:'%X
+ S %Y=$G(^%ZISL(3.54,%ZISD0,1,+%ZISD1,0)) G RQ:$P(%Y,"^",3)'=%ZISJOB
+ D KILLRES(+%ZISD0,+%ZISD1)
+RQ K IO(1,IO)
+ Q
+ ;
+KILLRES(D0,D1) ;Kill one resource use
+ Q:(D0'>0)!(D1'>0)
+ N %X,%Y,%J,%ZISRL
+ L +^%ZISL(3.54,D0,0)
+ S %Y=$G(^%ZISL(3.54,D0,0)) G KRX:%Y=""
+ S %X=$G(^%ZISL(3.54,D0,1,D1,0)),%J=$P(%X,"^",3) S:%J="" %J=" "
+ K ^%ZISL(3.54,D0,1,D1,0),^%ZISL(3.54,D0,1,"B",D1,D1),^%ZISL(3.54,"AJ",%J,D0,D1)
+ S %X=$P(%Y,"^",2)+1,$P(^%ZISL(3.54,D0,0),"^",2)=%X
+ ;I '$D(^%ZISL(3.54,%ZISD0,1,0)) S ^(0)="^3.542A^^" G RQ
+ S %Y=$G(^%ZISL(3.54,D0,1,0)),%X=$P(%Y,"^",4),$P(^%ZISL(3.54,D0,1,0),"^",3,4)="^"_$S(%X>0:(%X-1),1:0)
+KRX L -^%ZISL(3.54,D0,0)
+ Q
+ ;
+DQCRES ;Tasked entry point to close resource device.
+ S IO=%ZISRES G RES1
+ ;
+FF() ;Issue form feed
+ I $E(IOST,1,2)'["C-",$D(IO(1,IO)),$G(IOT)="TRM"!($G(IOT)="SPL"),'$D(IO("T"))&$Y&'$D(IONOFF)&'$D(IO(1,IO,"NOFF")) Q 1
+ Q 0
+ ;
+CLOSPP() ;Close printer port
+ I $D(IO("S")),$D(^%ZIS(2,+IO("S"),11))&$D(IO(1,IO)) Q 1
+ Q 0
Index: WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISS1.m
===================================================================
--- WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISS1.m	(revision 613)
+++ WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISS1.m	(revision 623)
@@ -1,88 +1,69 @@
-%ZISS1	;AC/SFISC - Collect screen parameters 5/29/88  2:02 PM ;1/24/08  16:10
-	;;8.0;KERNEL;**69,440**;JUL 10, 1995;Build 13
-	;Per VHA Directive 2004-038, this routine should not be modified
-VALID	;
-	N %ZISI,%ZISNP,ZISCH,ZISEND,ZISNUM,ZISQ,ZISXL,ZISXLN ;p440
-	D L
-	Q
-	;
-SET2	;
-	S %ZISFN="" F %ZISZ=0:0 S %ZISFN=$O(%ZISZ(%ZISFN)) Q:%ZISFN=""  I $D(%ZISZ(%ZISFN))#2 S %ZISXX=%ZISZ(%ZISFN) D INDCK
-	Q
-INDCK	;
-	S %ZISY=""
-	I "IOEFLD^IOSTBM"[%ZISFN S @%ZISFN=%ZISXX Q
-	I %ZISXX]"" S @("%ZISY="_%ZISXX)
-	;E  S @("%ZISY="_"""""")
-	I $E(%ZISFN,1,2)="IO" S @%ZISFN=%ZISY
-	E  S @("IO"_$E(%ZISFN,1,6))=%ZISY
-	Q:'$D(%ZIS)#2  Q:%ZIS'["I"  Q:'$D(%ZISZ(%ZISFN,1))
-	;
-SRAY	;
-	S %=%ZISY,%ZISY=$A($E(%ZISY,1))
-	F %1=2:1:$L(%) S %ZISY=%ZISY_$S($A(%,%1)<32:$A(%,%1),$A(%,%1)=127:127,1:$E(%,%1))
-	S IOIS(%ZISY)=%ZISFN
-	Q
-CHECK	;Entry point called from input transforms of fields in DEV/TT files.
-	N %ZISXX,%ZISYY,%ZISI,%ZISNP,%ZISX1,%ZISX2,ZISCH,ZISNUM,ZISQ,ZISXL,ZISXLN ;p440
-	S %ZISXX=X D L S X=%ZISYY
-	Q
-CHECK1	;Entry point called from input transforms of fields in DEV/TT files.
-	N %ZISXX,%ZISYY,%ZISI,%ZISNP,%ZISX1,%ZISX2,ZISCH,ZISNUM,ZISQ,ZISXL,ZISXLN ;p440
-	S %ZISXX=$S(X?1"W ".E:$E(X,3,$L(X)),1:X)
-	D L S X=$S(X?1"W ".E:"W "_%ZISYY,1:%ZISYY)
-	Q
-FORM	;Entry point called from input transforms of fields in DEV/TT files.
-	Q:$L(X,"_")'>1
-	N %ZISSI,%ZISSY ;p440
-	;F %ZISSI=1:1:$L(X,"_") S %ZISX1=$P(X,"_",%ZISSI) I %ZISX1]"","#?!"[$E(%ZISX1) S X=$S(%ZISSI=1:"",1:$P(X,"_",1,%ZISSI-1)_",")_%ZISX1_$S(%ZISSI<$L(X,"_"):","_$P(X,"_",%ZISSI+1,255),1:"") W !,%ZISSI_"==>"_X
-	S %ZISSY=""
-	F %ZISSI=1:1:$L(X,"_") S %ZISSY=%ZISSY_$P(X,"_",%ZISSI)_$S($P(X,"_",%ZISSI+1)="":"","#?!"[$E($P(X,"_",%ZISSI+1)):",","#?!"[$E($P(X,"_",%ZISSI)):",",1:"_")
-	S X=%ZISSY
-	Q
-	;
-L	S ZISQ="""",%ZISNP=0,ZISXLN=$L(%ZISXX) I 'ZISXLN S %ZISYY="" Q
-	S ZISXL=0,%ZISYY="" F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL) D L1 Q:ZISXL'<ZISXLN
-	;I $L(%ZISYY,"$C(")>2,%ZISYY[")_$C(" S %ZISXX=%ZISYY D L2,L3 S %ZISYY=%ZISXX Q
-	S %ZISXX=%ZISYY D L2,L3 S %ZISYY=%ZISXX
-	Q
-L1	I ZISCH="_"!(ZISCH=",") S %ZISYY=%ZISYY_"_" Q
-	I ZISCH=ZISQ D QUOTE Q
-	I ZISCH="$" D DOLR Q
-	I ZISCH="*" D STAR Q
-	I ZISCH="(" D PAREN Q
-	S %ZISYY=%ZISYY_ZISCH
-	Q
-L2	;Find $C(x)_$C(y) and merge
-	N I ;p440
-	F I=1:1:$L(%ZISXX,"_") S %ZISX1=$P(%ZISXX,"_",I),%ZISX2=$P(%ZISXX,"_",I+1) I $E(%ZISX1,1,3)="$C(",$E(%ZISX2,1,3)="$C(" D S2
-	Q
-L3	;
-	N I
-	F I=1:1:$L(%ZISXX,"_") I $P(%ZISXX,"_",I)["+","$("'[$E($P(%ZISXX,"_",I)),")"'[$E($P(%ZISXX,"_",I),$L($P(%ZISXX,"_",I))) S $P(%ZISXX,"_",I)="("_$P(%ZISXX,"_",I)_")"
-	Q
-STAR	;S ZISNUM="" F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL) S:ZISCH?1N ZISNUM=ZISNUM_ZISCH I ZISCH=""!(ZISCH=",") S %ZISYY=%ZISYY_"$C("_+ZISNUM_")",ZISXL=ZISXL-1 Q
-	S ZISNUM="" F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL) S:ZISCH'=""&(ZISCH'=",") ZISNUM=ZISNUM_ZISCH I ZISCH=""!(ZISCH=",") S %ZISYY=%ZISYY_"$C("_ZISNUM_")",ZISXL=ZISXL-1 Q
-	Q
-QUOTE	S %ZISYY=%ZISYY_ZISCH F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL),%ZISYY=%ZISYY_ZISCH I ZISCH=ZISQ!(ZISXL'<ZISXLN) Q
-	Q
-DOLR	;Looking for $C.
-	I "IXY"[$E(%ZISXX,ZISXL+1) S %ZISYY=%ZISYY_"$"_$E(%ZISXX,ZISXL+1) S ZISXL=ZISXL+1 Q
-	I "ACDEFJLNOPRSTV"[$E(%ZISXX,ZISXL+1)&($E(%ZISXX,ZISXL+2)="(") S %ZISYY=%ZISYY_"$"_$E(%ZISXX,ZISXL+1),ZISXL=ZISXL+2 D PAREN Q
-	S %ZISYY=%ZISYY_"$" ;p440
-	Q
-PAREN	S %ZISYY=%ZISYY_"(",ZISEND=")",%ZISNP=%ZISNP+1 D SCAN S %ZISNP=%ZISNP-1
-	Q
-SCAN	F %ZISI=0:0 S ZISXL=ZISXL+1,ZISCH=$E(%ZISXX,ZISXL) D S1 Q:ZISXL'<ZISXLN!(ZISEND=ZISCH&(%ZISNP))
-	Q
-S1	I ZISCH=ZISQ D QUOTE Q
-	I ZISCH="$" D DOLR Q
-	I ZISCH="(" D PAREN Q
-	S %ZISYY=%ZISYY_ZISCH
-	Q
-	;
-S2	;MERGE $C
-	S %ZISX1=$E(%ZISX1,1,$L(%ZISX1)-1),%ZISX2=","_$E(%ZISX2,4,$L(%ZISX2))
-	S $P(%ZISXX,"_",I,I+1)=%ZISX1_%ZISX2
-	N I D L2
-	Q
+%ZISS1 ;AC/SFISC - Collect screen parameters 5/29/88  2:02 PM ;11/05/97  08:40
+ ;;8.0;KERNEL;**69**;JUL 10, 1995
+VALID D L K %ZISI,%ZISNP,ZISCH,ZISEND,ZISNUM,ZISQ,ZISXL,ZISXLN Q
+ ;
+SET2 S %ZISFN="" F %ZISZ=0:0 S %ZISFN=$O(%ZISZ(%ZISFN)) Q:%ZISFN=""  I $D(%ZISZ(%ZISFN))#2 S %ZISXX=%ZISZ(%ZISFN) D INDCK
+ Q
+INDCK S %ZISY=""
+ I "IOEFLD^IOSTBM"[%ZISFN S @%ZISFN=%ZISXX Q
+ I %ZISXX]"" S @("%ZISY="_%ZISXX)
+ ;E  S @("%ZISY="_"""""")
+ I $E(%ZISFN,1,2)="IO" S @%ZISFN=%ZISY
+ E  S @("IO"_$E(%ZISFN,1,6))=%ZISY
+ Q:'$D(%ZIS)#2  Q:%ZIS'["I"  Q:'$D(%ZISZ(%ZISFN,1))
+SRAY S %=%ZISY,%ZISY=$A($E(%ZISY,1))
+ F %1=2:1:$L(%) S %ZISY=%ZISY_$S($A(%,%1)<32:$A(%,%1),$A(%,%1)=127:127,1:$E(%,%1))
+ S IOIS(%ZISY)=%ZISFN
+ Q
+CHECK ;Entry point called from input transforms of fields in DEV/TT files.
+ S %ZISXX=X D L S X=%ZISYY K %ZISXX,%ZISYY,%ZISI,%ZISNP,%ZISX1,%ZISX2,ZISCH,ZISNUM,ZISQ,ZISXL,ZISXLN
+ Q
+CHECK1 ;Entry point called from input transforms of fields in DEV/TT files.
+ S %ZISXX=$S(X?1"W ".E:$E(X,3,$L(X)),1:X)
+ D L S X=$S(X?1"W ".E:"W "_%ZISYY,1:%ZISYY) K %ZISXX,%ZISYY,%ZISI,%ZISNP,%ZISX1,%ZISX2,ZISCH,ZISNUM,ZISQ,ZISXL,ZISXLN
+ Q
+FORM ;Entry point called from input transforms of fields in DEV/TT files.
+ Q:$L(X,"_")'>1
+ ;F %ZISSI=1:1:$L(X,"_") S %ZISX1=$P(X,"_",%ZISSI) I %ZISX1]"","#?!"[$E(%ZISX1) S X=$S(%ZISSI=1:"",1:$P(X,"_",1,%ZISSI-1)_",")_%ZISX1_$S(%ZISSI<$L(X,"_"):","_$P(X,"_",%ZISSI+1,255),1:"") W !,%ZISSI_"==>"_X
+ S %ZISSY=""
+ F %ZISSI=1:1:$L(X,"_") S %ZISSY=%ZISSY_$P(X,"_",%ZISSI)_$S($P(X,"_",%ZISSI+1)="":"","#?!"[$E($P(X,"_",%ZISSI+1)):",","#?!"[$E($P(X,"_",%ZISSI)):",",1:"_")
+ S X=%ZISSY K %ZISSI,%ZISSY
+ Q
+ ;
+L S ZISQ="""",%ZISNP=0,ZISXLN=$L(%ZISXX) I 'ZISXLN S %ZISYY="" Q
+ S (ZISXL)=0,%ZISYY="" F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL) D L1 Q:ZISXL'<ZISXLN
+ ;I $L(%ZISYY,"$C(")>2,%ZISYY[")_$C(" S %ZISXX=%ZISYY D L2,L3 S %ZISYY=%ZISXX Q
+ S %ZISXX=%ZISYY D L2,L3 S %ZISYY=%ZISXX
+ Q
+L1 I ZISCH="_"!(ZISCH=",") S %ZISYY=%ZISYY_"_" Q
+ I ZISCH=ZISQ D QUOTE Q
+ I ZISCH="$" D DOLR Q
+ I ZISCH="*" D STAR Q
+ I ZISCH="(" D PAREN Q
+ S %ZISYY=%ZISYY_ZISCH Q
+L2 F I=1:1:$L(%ZISXX,"_") S %ZISX1=$P(%ZISXX,"_",I),%ZISX2=$P(%ZISXX,"_",I+1) I $E(%ZISX1,1,3)="$C(",$E(%ZISX2,1,3)="$C(" D S2
+ Q
+L3 F I=1:1:$L(%ZISXX,"_") I $P(%ZISXX,"_",I)["+","$("'[$E($P(%ZISXX,"_",I)),")"'[$E($P(%ZISXX,"_",I),$L($P(%ZISXX,"_",I))) S $P(%ZISXX,"_",I)="("_$P(%ZISXX,"_",I)_")"
+ Q
+STAR ;S ZISNUM="" F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL) S:ZISCH?1N ZISNUM=ZISNUM_ZISCH I ZISCH=""!(ZISCH=",") S %ZISYY=%ZISYY_"$C("_+ZISNUM_")",ZISXL=ZISXL-1 Q
+ S ZISNUM="" F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL) S:ZISCH'=""&(ZISCH'=",") ZISNUM=ZISNUM_ZISCH I ZISCH=""!(ZISCH=",") S %ZISYY=%ZISYY_"$C("_ZISNUM_")",ZISXL=ZISXL-1 Q
+ Q
+QUOTE S %ZISYY=%ZISYY_ZISCH F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL),%ZISYY=%ZISYY_ZISCH I ZISCH=ZISQ!(ZISXL'<ZISXLN) Q
+ Q
+DOLR ;LOOKING FOR $C.
+ I "IXY"[$E(%ZISXX,ZISXL+1) S %ZISYY=%ZISYY_"$"_$E(%ZISXX,ZISXL+1) S ZISXL=ZISXL+1 Q
+ I "ACDEFJLNOPRSTV"[$E(%ZISXX,ZISXL+1)&($E(%ZISXX,ZISXL+2)="(") S %ZISYY=%ZISYY_"$"_$E(%ZISXX,ZISXL+1),ZISXL=ZISXL+2 D PAREN
+ Q
+PAREN S %ZISYY=%ZISYY_"(",ZISEND=")",%ZISNP=%ZISNP+1 D SCAN S %ZISNP=%ZISNP-1 Q
+SCAN F %ZISI=0:0 S ZISXL=ZISXL+1,ZISCH=$E(%ZISXX,ZISXL) D S1 Q:ZISXL'<ZISXLN!(ZISEND=ZISCH&(%ZISNP))
+ Q
+S1 I ZISCH=ZISQ D QUOTE Q
+ I ZISCH="$" D DOLR Q
+ I ZISCH="(" D PAREN Q
+ S %ZISYY=%ZISYY_ZISCH Q
+ ;
+S2 ;MERGE $C
+ S %ZISX1=$E(%ZISX1,1,$L(%ZISX1)-1),%ZISX2=","_$E(%ZISX2,4,$L(%ZISX2))
+ S $P(%ZISXX,"_",I,I+1)=%ZISX1_%ZISX2
+ N I D L2
+ Q
Index: WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZTLOAD4.m
===================================================================
--- WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZTLOAD4.m	(revision 613)
+++ WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZTLOAD4.m	(revision 623)
@@ -1,60 +1,57 @@
-%ZTLOAD4	;SEA/RDS-TaskMan: P I: Is Queued? ;1/24/08  16:15
-	;;8.0;KERNEL;**440**;JUL 10, 1995;Build 13
-	;Per VHA Directive 2004-038, this routine should not be modified
-	;Call with ZTSK, [ZTCPU]; Return ZTSK()
-INPUT	;check input parameters for error conditions
-	N %,$ES,$ET,%ZTVOL,ZTREC,ZTD,ZT1,ZT2,ZT3
-	I $D(ZTSK)[0 S ZTSK=""
-	I $D(ZTSK)>1 S %=ZTSK K ZTSK S ZTSK=%
-	I ZTSK<1!(ZTSK\1'=ZTSK) S ZTSK="",ZTSK(0)="",ZTSK("E")="IT" G QUIT
-	S ZTSK(0)="",ZTSK("E")="U",$ET="Q:$ES  S $EC="""" G QUIT^%ZTLOAD4"
-	S %ZTVOL=^%ZOSF("VOL")
-	I $D(ZTCPU)[0 S ZTCPU=%ZTVOL
-	I ZTCPU="" S ZTCPU=%ZTVOL
-	I ZTCPU'=%ZTVOL G THERE
-	;
-HERE	;lookup task's status on current volume set
-	L +^%ZTSK(ZTSK):1
-	I $D(^%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
-	S ZTREC=^%ZTSK(ZTSK,0),ZTD=$G(^(.04))
-	S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=$P(ZTREC,U,6) ;scheduled $H
-	I ZTD]"",$D(^%ZTSCH(ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	I ZTD]"",$D(^%ZTSCH("JOB",ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	;
-	S ZT1="" F  S ZT1=$O(^%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="IO",ZT2="" F  S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="JOB",ZT2="" F  S ZT2=$O(^%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="LINK",ZT2="" F  S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZTSK(0)=0
-	;
-QUIT	;cleanup and quit
-	L:ZTSK -^%ZTSK(ZTSK) ;K %ZTCPU,%ZTM,%ZTM1,%ZTM2,%ZTMAST,%ZTVOL,X,Y,ZT,ZT1,ZT2,ZT3,ZTCPU,ZTD,ZTREC
-	I ZTSK(0)]"" K ZTSK("E") Q
-	I ZTSK("E")'="U" Q
-	S ZTSK("E",0)=$$EC^%ZOSV
-	Q
-	;
-THERE	;rest of code looks up task's status on some other volume set
-	N %ZTCPU,%ZTM,X,Y
-	;
-FILES	;find TaskMan files on the volume set to be searched
-	S %ZTCPU=$O(^%ZIS(14.5,"B",ZTCPU,""))
-	I %ZTCPU="" S ZTSK("E")="IS" G QUIT
-	S %ZTM=$P(^%ZOSF("MGR"),",")
-	S %ZTM=$S($D(^%ZIS(14.5,%ZTCPU,0))[0:%ZTM,$P(^(0),U,6)="":%ZTM,1:$P(^(0),U,6))
-	S X=%ZTM,Y=ZTCPU
-	S ZTSK("E")="LS",ZT=$D(^[X,Y]%ZTSK(0)),ZTSK("E")="U" ; check link
-	;
-SEARCH	;find out if task is queued on that volume set
-	I $D(^[X,Y]%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
-	S ZTREC=^[X,Y]%ZTSK(ZTSK,0),ZTD=$G(^(.04))
-	S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=$P(ZTREC,U,6)
-	I ZTD]"",$D(^[X,Y]%ZTSCH(ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	I ZTD]"",$D(^[X,Y]%ZTSCH("JOB",ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	;
-	S ZT1="" F  S ZT1=$O(^[X,Y]%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="IO",ZT2="" F  S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="JOB",ZT2="" F  S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="LINK",ZT2="" F  S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZTSK(0)=0 G QUIT
-	;
+%ZTLOAD4 ;SEA/RDS-TaskMan: P I: Is Queued? ;7/26/91  11:55 ;
+ ;;8.0;KERNEL;;JUL 10, 1995
+ ;;7.0;
+ ;
+INPUT ;check input parameters for error conditions
+ I $D(ZTSK)[0 S ZTSK=""
+ I $D(ZTSK)>1 S ZTLOAD=ZTSK K ZTSK S ZTSK=ZTLOAD K ZTLOAD
+ I ZTSK<1!(ZTSK\1'=ZTSK) S ZTSK="",ZTSK(0)="",ZTSK("E")="IT" G QUIT
+ S ZTSK(0)="",ZTSK("E")="U",X="QUIT^%ZTLOAD3",@^%ZOSF("TRAP")
+ S %ZTVOL=^%ZOSF("VOL")
+ I $D(ZTCPU)[0 S ZTCPU=%ZTVOL
+ I ZTCPU="" S ZTCPU=%ZTVOL
+ I ZTCPU'=%ZTVOL G THERE
+ ;
+HERE ;lookup task's status on current volume set
+ L +^%ZTSK(ZTSK) I $D(^%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
+ S ZTREC=^%ZTSK(ZTSK,0),ZTD=$P(ZTREC,U,6)
+ S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=ZTD
+ I ZTD]"",$D(^%ZTSCH(ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ I ZTD]"",$D(^%ZTSCH("JOB",ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ ;
+ S ZT1="" F ZT=0:0 S ZT1=$O(^%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="IO",ZT2="" F ZT=0:0 S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="JOB",ZT2="" F ZT=0:0 S ZT2=$O(^%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="LINK",ZT2="" F ZT=0:0 S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZTSK(0)=0
+ ;
+QUIT ;cleanup and quit
+ L:ZTSK -^%ZTSK(ZTSK) K %ZTCPU,%ZTM,%ZTM1,%ZTM2,%ZTMAST,%ZTVOL,X,Y,ZT,ZT1,ZT2,ZT3,ZTCPU,ZTD,ZTREC
+ I ZTSK(0)]"" K ZTSK("E") Q
+ I ZTSK("E")'="U" Q
+ S ZTSK("E",0)=$$EC^%ZOSV
+ Q
+ ;
+THERE ;rest of code looks up task's status on some other volume set
+ ;
+FILES ;find TaskMan files on the volume set to be searched
+ S %ZTCPU=$O(^%ZIS(14.5,"B",ZTCPU,""))
+ I %ZTCPU="" S ZTSK("E")="IS" G QUIT
+ S %ZTM=$P(^%ZOSF("MGR"),",")
+ S %ZTM=$S($D(^%ZIS(14.5,%ZTCPU,0))[0:%ZTM,$P(^(0),U,6)="":%ZTM,1:$P(^(0),U,6))
+ S X=%ZTM,Y=ZTCPU
+ S ZTSK("E")="LS",ZT=$D(^[X,Y]%ZTSK(0)),ZTSK("E")="U" ; check link
+ ;
+SEARCH ;find out if task is queued on that volume set
+ I $D(^[X,Y]%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
+ S ZTREC=^[X,Y]%ZTSK(ZTSK,0),ZTD=$P(ZTREC,U,6)
+ S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=ZTD
+ I ZTD]"",$D(^[X,Y]%ZTSCH(ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ I ZTD]"",$D(^[X,Y]%ZTSCH("JOB",ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ ;
+ S ZT1="" F ZT=0:0 S ZT1=$O(^[X,Y]%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="IO",ZT2="" F ZT=0:0 S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="JOB",ZT2="" F ZT=0:0 S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="LINK",ZT2="" F ZT=0:0 S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZTSK(0)=0 G QUIT
+ ;
